Skip to main content
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
edges
List Edges
curl --request GET \
  --url https://api.pathors.com/v1/projects/{projectId}/pathway/edges \
  --header 'Authorization: <authorization>'
{
  "data": [
    {}
  ]
}

Request

GET https://api.pathors.com/v1/projects/{projectId}/pathway/edges

Path Parameters

projectId
string
required
The project ID

Headers

Authorization
string
required
Bearer token using your developer key

Response

data
array
Array of edge objects. Each edge connects a source node to a target node with a transition condition.

Example

curl https://api.pathors.com/v1/projects/{projectId}/pathway/edges \
  -H "Authorization: Bearer dk_your_key"
{
  "data": [
    {
      "id": "edge-1",
      "source": "node-1",
      "target": "node-2",
      "data": { "condition": "User wants to book" }
    }
  ]
}